Bug 1308683 - Password protected zips created with file-roller cannot be opened with Winzip.
Password protected zips created with file-roller cannot be opened with Winzip.
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: file-roller (Show other bugs)
7.2
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: David King
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 12:58 EST by Guillaume Radde
Modified: 2017-02-04 00:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 739665 None None None 2016-05-04 06:07 EDT

  None (edit)
Description Guillaume Radde 2016-02-15 12:58:02 EST
Description of problem:

Password protected zip files created with file-roller cannot be opened by Winzip.

This is a common way to securely email sensitive documents. Create a password protected zip file containing the documents, then email it. Unfortunately, the archive created by file-roller cannot be opened by Windows users using Winzip.

Version-Release number of selected component (if applicable):
file-roller-3.14.2-7.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a password protected zip archive using file-roller
2. Email it to a Windows user
3. Have the user open the password protected archive in Winzip.

Actual results:

Winzip will throw an error and won't open the zip.


Expected results:
Winzip should be able to open the zip.

Additional info:
This may be due to the encryption algorithm used by file-roller. 7zip offers 2 encryption methods (ZipCrypto and AES-256). ZipCrypto seems to be compatible with Winzip.

Note You need to log in before you can comment on or make changes to this bug.